Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1814563 - colored output contraproductive by default
Summary: colored output contraproductive by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 09:23 UTC by Milan Crha
Modified: 2020-05-01 04:04 UTC (History)
13 users (show)

Fixed In Version: dnf-4.2.21-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 04:04:44 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (99.92 KB, image/png)
2020-03-18 09:23 UTC, Milan Crha
no flags Details
default colors (76.31 KB, image/png)
2020-03-24 11:10 UTC, Kamil Páral
no flags Details
bright colors (76.33 KB, image/png)
2020-03-24 11:11 UTC, Kamil Páral
no flags Details

Description Milan Crha 2020-03-18 09:23:44 UTC
Created attachment 1671013 [details]
screenshot

I just installed Fedora 32 (Fedora-Workstation-Live-x86_64-32_Beta-1.2.iso), opened terminal and ran: `dnf remove libreoffice-core`.

See the attached screenshot. If you consider that easy to read, then you are better than me. Or your eyes are.

I'd suggest to not colorize dark color on a dark background (or to not colorize at all), it really doesn't help. The old good yum (and previous versions of dnf) didn't need colored output and it was for good. The most it used bold texts, which was for I do not remember what, but it still was easy to read.

Comment 1 Chris Murphy 2020-03-19 06:30:50 UTC
Anyone in a bright environment, will subconsciously compensate with brighter display luminance - and this problem isn't as problematic. But if you're in a subdued environment, with the backlight in the 10-15% of max luminance realm, it's unworkable.

Comment 2 Chris Murphy 2020-03-19 06:39:20 UTC
Actually, with a glossy screen, I suspect most anyone is going to run into this problem regardless of the brightness of their display. 

The luminance of incidental veiling glare (the on-screen reflection of objects that are not light sources) competes with the luminance of this red text. About the only way you'd avoid this problem with a glossy screen is if everything you're wearing, sitting on, and surrounded by is moderately dark. Or in a pitch black room.

Comment 3 Milan Crha 2020-03-19 07:36:42 UTC
You may also count the white text beside the dark red on the black background. And as said, this is the default Workstation Fedora 32 Beta fresh installation, no modification done in themes, colors, anything. This is the experience out of the box. Other spins can have different colors (like the light theme/terminal).

Still, forcing colors in the terminal this way may look fancy, but if it's not possible to follow user's theme, then it's better to stay usable, than fancy. Just my opinion.

By the way, I prefer light theme, but dark terminal. People sometimes prefer everything light or everything dark.

Comment 4 Kamil Páral 2020-03-24 11:09:38 UTC
I have to say I quite like the new dnf colors, with the exception of red (removing packages). The red text is almost unreadable in most dark themes (including the system one). The purple color for search results and green color when installing packages looks fine (especially if you enable "show bold text in bright colors" in gnome-terminal, which is unfortunately not the default). See the screenshots attached below.

I wonder why search results and to-be-installed packages are in bold, but to-be-removed packages are not? Perhaps making the red bold, as is purple and green, would improve the readability considerably? I don't know how to test it, can somebody prepare a scratch build?

Alternatively, the solution could be to set both text foreground and text background to achieve the desired readability. But the output might not be that aesthetically pleasing under different color themes.

Comment 5 Kamil Páral 2020-03-24 11:10:21 UTC
Created attachment 1673059 [details]
default colors

Comment 6 Kamil Páral 2020-03-24 11:11:13 UTC
Created attachment 1673060 [details]
bright colors

"show bold text in bright colors" enabled in gnome-terminal

Comment 7 Daniel Mach 2020-03-25 11:06:58 UTC
I removed 'dim' modifier and that makes the text more readable.
PR: https://github.com/rpm-software-management/libdnf/pull/901

Comment 8 Kamil Páral 2020-03-31 13:19:11 UTC
Dan, you can make a scratch build so that we can assess the change? (And ideally a second build that makes everything bold as well?)

This really needs to get stable before F32 Final release, if at all possible. Thanks!

Comment 9 Daniel Alley 2020-04-08 12:24:43 UTC
The colored package name in "dnf info $package" is also nearly unreadable

Comment 10 Fedora Update System 2020-04-09 10:56:52 UTC
FEDORA-2020-68aa5586ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-68aa5586ed

Comment 11 Fedora Update System 2020-04-09 18:40:19 UTC
FEDORA-2020-68aa5586ed has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-68aa5586ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-68aa5586ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Kamil Páral 2020-04-15 08:01:44 UTC
(In reply to Fedora Update System from comment #10)
> FEDORA-2020-68aa5586ed has been submitted as an update to Fedora 32.
> https://bodhi.fedoraproject.org/updates/FEDORA-2020-68aa5586ed

Red color is now better readable. (Bold red might work even better, but regular red seems sufficient).

Comment 13 Kamil Páral 2020-04-27 11:00:48 UTC
Can this please go stable soon? So that F32 users are not badly surprised.

Comment 14 Fedora Update System 2020-05-01 04:04:44 UTC
FEDORA-2020-68aa5586ed has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.